Bug 1274611 - [abrt] rss-glx: memset(): rss-glx-busyspheres killed by SIGSEGV
[abrt] rss-glx: memset(): rss-glx-busyspheres killed by SIGSEGV
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:588aea5459741d84b891e0dcaa8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-23 03:02 EDT by Ingo Weiss
Modified: 2016-07-07 05:08 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-07 05:08:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (131.67 KB, text/plain)
2015-10-23 03:02 EDT, Ingo Weiss
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-23 03:02 EDT, Ingo Weiss
no flags Details
File: core_backtrace (63.66 KB, text/plain)
2015-10-23 03:02 EDT, Ingo Weiss
no flags Details
File: dso_list (4.29 KB, text/plain)
2015-10-23 03:02 EDT, Ingo Weiss
no flags Details
File: environ (1.64 KB, text/plain)
2015-10-23 03:02 EDT, Ingo Weiss
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-23 03:02 EDT, Ingo Weiss
no flags Details
File: maps (22.28 KB, text/plain)
2015-10-23 03:02 EDT, Ingo Weiss
no flags Details
File: mountinfo (3.31 KB, text/plain)
2015-10-23 03:02 EDT, Ingo Weiss
no flags Details
File: namespaces (85 bytes, text/plain)
2015-10-23 03:02 EDT, Ingo Weiss
no flags Details
File: open_fds (270 bytes, text/plain)
2015-10-23 03:02 EDT, Ingo Weiss
no flags Details
File: proc_pid_status (1.01 KB, text/plain)
2015-10-23 03:02 EDT, Ingo Weiss
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-10-23 03:02 EDT, Ingo Weiss
no flags Details

  None (edit)
Description Ingo Weiss 2015-10-23 03:02:29 EDT
Version-Release number of selected component:
rss-glx-0.9.1.p-24.fc22

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        rss-glx-busyspheres -r
crash_function: memset
executable:     /usr/bin/rss-glx-busyspheres
global_pid:     21906
kernel:         4.2.3-200.fc22.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 memset at /usr/include/bits/string3.h:90
 #1 _mesa_meta_begin at drivers/common/meta.c:442
 #2 brw_meta_resolve_color at brw_meta_fast_clear.c:675
 #3 intel_miptree_resolve_color at intel_mipmap_tree.c:1912
 #4 intel_miptree_map_raw at intel_mipmap_tree.c:2047
 #5 intel_miptree_map_gtt at intel_mipmap_tree.c:2089
 #6 intel_miptree_map at intel_mipmap_tree.c:2682
 #7 intel_map_renderbuffer at intel_fbo.c:184
 #8 map_attachment at swrast/s_renderbuffer.c:578
 #9 _swrast_map_renderbuffers at swrast/s_renderbuffer.c:663

Potential duplicate: bug 1172169
Comment 1 Ingo Weiss 2015-10-23 03:02:34 EDT
Created attachment 1085713 [details]
File: backtrace
Comment 2 Ingo Weiss 2015-10-23 03:02:36 EDT
Created attachment 1085714 [details]
File: cgroup
Comment 3 Ingo Weiss 2015-10-23 03:02:37 EDT
Created attachment 1085715 [details]
File: core_backtrace
Comment 4 Ingo Weiss 2015-10-23 03:02:39 EDT
Created attachment 1085716 [details]
File: dso_list
Comment 5 Ingo Weiss 2015-10-23 03:02:40 EDT
Created attachment 1085717 [details]
File: environ
Comment 6 Ingo Weiss 2015-10-23 03:02:41 EDT
Created attachment 1085718 [details]
File: limits
Comment 7 Ingo Weiss 2015-10-23 03:02:43 EDT
Created attachment 1085719 [details]
File: maps
Comment 8 Ingo Weiss 2015-10-23 03:02:44 EDT
Created attachment 1085720 [details]
File: mountinfo
Comment 9 Ingo Weiss 2015-10-23 03:02:46 EDT
Created attachment 1085721 [details]
File: namespaces
Comment 10 Ingo Weiss 2015-10-23 03:02:47 EDT
Created attachment 1085722 [details]
File: open_fds
Comment 11 Ingo Weiss 2015-10-23 03:02:48 EDT
Created attachment 1085723 [details]
File: proc_pid_status
Comment 12 Ingo Weiss 2015-10-23 03:02:49 EDT
Created attachment 1085724 [details]
File: var_log_messages
Comment 13 Nils Philippsen 2015-10-27 08:58:33 EDT
The crash happens almost 250 frames deep in Mesa/the Intel driver, changing component to mesa accordingly for further examination.
Comment 14 Igor Gnatenko 2016-07-07 05:08:05 EDT
This is very old bug, if you still can reproduce it - please reopen.

Note You need to log in before you can comment on or make changes to this bug.